Skip to main content

SpeechLytics Speech Analytics API (v1)

Download OpenAPI specification:Download

Analytics

List analytics results

Returns a paginated collection of analytics results, optionally filtered by a date range.

Authorizations:
Bearer
query Parameters
Page
integer <int32>
Rows
integer <int32> [ 0 .. 100 ]
DateFrom
string
DateTo
string

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/analytics?Page=123&Rows=123&DateFrom=sample&DateTo=sample"

Create an analytics result

Creates an analytics result from the supplied call analysis data.

Authorizations:
Bearer
Request Body schema:
object (CallMetadataViewModel)
object (ConversationSummaryViewModel)
object (CustomerSignalsViewModel)
object (AgentPerformanceViewModel)
object (SentimentTopicsEmotionViewModel)
object (BusinessInsightsViewModel)
object (ExtractedKeywordsEntitiesViewModel)
object (ScoringInsightsViewModel)
Quick Insight Summary
string or null
callId
integer <int64>
summaryType
integer <int32> (SummaryType)
Enum: "0 - Sales" "1 - CustomerSupport"

Responses

Request samples

Content type
{
  • "Call Metadata": {
    },
  • "Conversation Summary": {
    },
  • "Customer Signals": {
    },
  • "Agent Performance": {
    },
  • "Sentiment, Topics & Emotion": {
    },
  • "Business Insights": {
    },
  • "Extracted Keywords & Entities": {
    },
  • "Scoring Insights": {
    },
  • "Quick Insight Summary": "string",
  • "callId": 0,
  • "summaryType": "0 - Sales"
}

Create a sensitive-content result

Creates a sensitive-content analytics result from the supplied detection data.

Authorizations:
Bearer
Request Body schema:
callId
integer <int64>
removeTags
boolean
Array of objects or null (SensitiveContentSegment)

Responses

Request samples

Content type
{
  • "callId": 0,
  • "removeTags": true,
  • "segments": [
    ]
}

Create custom-question analytics

Creates analytics results for custom questions from the supplied result data.

Authorizations:
Bearer
Request Body schema:
callId
integer <int64>
object or null

Responses

Request samples

Content type
{
  • "callId": 0,
  • "answers": {
    }
}

Auth

Create an access token

Authenticates the supplied credentials and returns an access token.

Authorizations:
Bearer
Request Body schema:
username
string or null
password
string or null

Responses

Request samples

Content type
{
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
No sample

Calls

Get call processing status

Returns the current processing status for the call identified by the path ID.

Authorizations:
Bearer
path Parameters
id
required
integer <int32>

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/calls/123/status"

Response samples

Content type
No sample

List live events for a call

Returns live events for a call, with optional cursor-based filtering and a result limit.

Authorizations:
Bearer
path Parameters
id
required
integer <int64>
query Parameters
afterId
integer <int64>
Default: 0
limit
integer <int32>
Default: 200

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/calls/123/live-events?afterId=123&limit=123"

Response samples

Content type
No sample

Get the live payload for a call

Returns the live payload for a call, optionally starting at the specified byte offset.

Authorizations:
Bearer
path Parameters
id
required
integer <int32>
query Parameters
fromByte
integer <int32>
Default: 0

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/calls/123/live-payload?fromByte=123"

Response samples

Content type
No sample

List calls

Returns a paginated collection of calls matching the supplied date, file, topic, sentiment, tag, content, and cluster filters.

Authorizations:
Bearer
query Parameters
Page
integer <int32>
Rows
integer <int32> [ 0 .. 100 ]
DateFrom
string
DateTo
string
FileName
string
Topic
string
Sentiment
string
Tag
string
Content
string
Cluster
string

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/calls?Page=123&Rows=123&DateFrom=sample&DateTo=sample&FileName=sample&Topic=sample&Sentiment=sample&Tag=sample&Content=sample&Cluster=sample"

Health

Get service health

Returns the current health status of the API service.

Authorizations:
Bearer

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/health"

Response samples

Content type
No sample

Intelligence

List intelligence records

Returns a paginated collection of intelligence records matching the supplied date and identity filters.

Authorizations:
Bearer
query Parameters
Page
integer <int32>
Rows
integer <int32>
DateFrom
string
DateTo
string
Name
string
Username
string
Phone
string
AccountId
string

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/intelligence?Page=123&Rows=123&DateFrom=sample&DateTo=sample&Name=sample&Username=sample&Phone=sample&AccountId=sample"

Get intelligence by ID

Returns intelligence data for the supplied ID, optionally constrained to a date range.

Authorizations:
Bearer
query Parameters
id
integer <int64>
from
string
to
string

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/intelligence/id?id=123&from=sample&to=sample"

Live Speech

Start live transcription

Starts a live speech transcription session using the supplied configuration.

Authorizations:
Bearer
Request Body schema:
name
string or null
numberOfChannels
integer <int32>
language
integer <int32> (Language)
Enum: "0 - Auto" "1 - ENGLISH" "2 - CHINESE" "3 - GERMAN" "4 - SPANISH" "5 - RUSSIAN" "6 - KOREAN" "7 - FRENCH" "8 - JAPANESE" "9 - PORTUGUESE" "10 - TURKISH" "11 - POLISH" "12 - DUTCH" "13 - ARABIC" "14 - SWEDISH" "15 - ITALIAN" "16 - INDONESIAN" "17 - HINDI" "18 - FINNISH" "19 - VIETNAMESE" "20 - HEBREW" "21 - UKRAINIAN" "22 - GREEK" "23 - CZECH" "24 - ROMANIAN" "25 - DANISH" "26 - HUNGARIAN" "27 - NORWEGIAN" "28 - CROATIAN" "29 - BULGARIAN" "30 - LITHUANIAN" "31 - LATIN" "32 - SLOVAK" "33 - LATVIAN" "34 - SERBIAN" "35 - SLOVENIAN" "36 - KANNADA" "37 - ESTONIAN" "38 - MACEDONIAN" "39 - ICELANDIC" "40 - ARMENIAN" "41 - BOSNIAN" "42 - ALBANIAN" "43 - BELARUSIAN" "44 - LUXEMBOURGISH" "45 - TAMIL" "46 - CATALAN" "47 - MALAY" "48 - THAI" "49 - URDU" "50 - MAORI" "51 - MALAYALAM" "52 - WELSH" "53 - TELUGU" "54 - PERSIAN" "55 - BENGALI" "56 - AZERBAIJANI" "57 - BRETON" "58 - BASQUE" "59 - NEPALI" "60 - MONGOLIAN" "61 - KAZAKH" "62 - SWAHILI" "63 - GALICIAN" "64 - MARATHI" "65 - PUNJABI" "66 - SINHALA" "67 - KHMER" "68 - SHONA" "69 - YORUBA" "70 - SOMALI" "71 - AFRIKAANS" "72 - OCCITAN" "73 - GEORGIAN" "74 - TAJIK" "75 - SINDHI" "76 - GUJARATI" "77 - AMHARIC" "78 - YIDDISH" "79 - LAO" "80 - UZBEK" "81 - FAROESE" "82 - HAITIANCREOLE" "83 - PASHTO" "84 - TURKMEN" "85 - NYNORSK" "86 - MALTESE" "87 - SANSKRIT" "88 - MYANMAR" "89 - TIBETAN" "90 - TAGALOG" "91 - MALAGASY" "92 - ASSAMESE" "93 - TATAR" "94 - HAWAIIAN" "95 - LINGALA" "96 - HAUSA" "97 - BASHKIR" "98 - JAVANESE" "99 - SUNDANESE" "100 - CANTONESE"
translationLanguage
integer <int32> (Language)
Enum: "0 - Auto" "1 - ENGLISH" "2 - CHINESE" "3 - GERMAN" "4 - SPANISH" "5 - RUSSIAN" "6 - KOREAN" "7 - FRENCH" "8 - JAPANESE" "9 - PORTUGUESE" "10 - TURKISH" "11 - POLISH" "12 - DUTCH" "13 - ARABIC" "14 - SWEDISH" "15 - ITALIAN" "16 - INDONESIAN" "17 - HINDI" "18 - FINNISH" "19 - VIETNAMESE" "20 - HEBREW" "21 - UKRAINIAN" "22 - GREEK" "23 - CZECH" "24 - ROMANIAN" "25 - DANISH" "26 - HUNGARIAN" "27 - NORWEGIAN" "28 - CROATIAN" "29 - BULGARIAN" "30 - LITHUANIAN" "31 - LATIN" "32 - SLOVAK" "33 - LATVIAN" "34 - SERBIAN" "35 - SLOVENIAN" "36 - KANNADA" "37 - ESTONIAN" "38 - MACEDONIAN" "39 - ICELANDIC" "40 - ARMENIAN" "41 - BOSNIAN" "42 - ALBANIAN" "43 - BELARUSIAN" "44 - LUXEMBOURGISH" "45 - TAMIL" "46 - CATALAN" "47 - MALAY" "48 - THAI" "49 - URDU" "50 - MAORI" "51 - MALAYALAM" "52 - WELSH" "53 - TELUGU" "54 - PERSIAN" "55 - BENGALI" "56 - AZERBAIJANI" "57 - BRETON" "58 - BASQUE" "59 - NEPALI" "60 - MONGOLIAN" "61 - KAZAKH" "62 - SWAHILI" "63 - GALICIAN" "64 - MARATHI" "65 - PUNJABI" "66 - SINHALA" "67 - KHMER" "68 - SHONA" "69 - YORUBA" "70 - SOMALI" "71 - AFRIKAANS" "72 - OCCITAN" "73 - GEORGIAN" "74 - TAJIK" "75 - SINDHI" "76 - GUJARATI" "77 - AMHARIC" "78 - YIDDISH" "79 - LAO" "80 - UZBEK" "81 - FAROESE" "82 - HAITIANCREOLE" "83 - PASHTO" "84 - TURKMEN" "85 - NYNORSK" "86 - MALTESE" "87 - SANSKRIT" "88 - MYANMAR" "89 - TIBETAN" "90 - TAGALOG" "91 - MALAGASY" "92 - ASSAMESE" "93 - TATAR" "94 - HAWAIIAN" "95 - LINGALA" "96 - HAUSA" "97 - BASHKIR" "98 - JAVANESE" "99 - SUNDANESE" "100 - CANTONESE"
username
string or null
local
string or null
remote
string or null
sampleRate
integer <int32>
multilingualDetection
boolean
autoTranslationDirection
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "numberOfChannels": 0,
  • "language": "0 - Auto",
  • "translationLanguage": "0 - Auto",
  • "username": "string",
  • "local": "string",
  • "remote": "string",
  • "sampleRate": 0,
  • "multilingualDetection": true,
  • "autoTranslationDirection": true
}

Response samples

Content type
No sample

Stop live transcription

Stops the live speech transcription session identified by the supplied request data.

Authorizations:
Bearer
Request Body schema:
id
integer <int64>

Responses

Request samples

Content type
{
  • "id": 0
}

Response samples

Content type
No sample

Sentiments

List sentiments

Returns the available sentiment values used to classify or filter speech analytics data.

Authorizations:
Bearer

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/sentiments"

Speech

Process speech audio

Submits speech audio and its processing options for transcription and analysis.

Authorizations:
Bearer
Request Body schema:
dataBase64
string or null
filename
string or null
language
integer <int32> (Language)
Enum: "0 - Auto" "1 - ENGLISH" "2 - CHINESE" "3 - GERMAN" "4 - SPANISH" "5 - RUSSIAN" "6 - KOREAN" "7 - FRENCH" "8 - JAPANESE" "9 - PORTUGUESE" "10 - TURKISH" "11 - POLISH" "12 - DUTCH" "13 - ARABIC" "14 - SWEDISH" "15 - ITALIAN" "16 - INDONESIAN" "17 - HINDI" "18 - FINNISH" "19 - VIETNAMESE" "20 - HEBREW" "21 - UKRAINIAN" "22 - GREEK" "23 - CZECH" "24 - ROMANIAN" "25 - DANISH" "26 - HUNGARIAN" "27 - NORWEGIAN" "28 - CROATIAN" "29 - BULGARIAN" "30 - LITHUANIAN" "31 - LATIN" "32 - SLOVAK" "33 - LATVIAN" "34 - SERBIAN" "35 - SLOVENIAN" "36 - KANNADA" "37 - ESTONIAN" "38 - MACEDONIAN" "39 - ICELANDIC" "40 - ARMENIAN" "41 - BOSNIAN" "42 - ALBANIAN" "43 - BELARUSIAN" "44 - LUXEMBOURGISH" "45 - TAMIL" "46 - CATALAN" "47 - MALAY" "48 - THAI" "49 - URDU" "50 - MAORI" "51 - MALAYALAM" "52 - WELSH" "53 - TELUGU" "54 - PERSIAN" "55 - BENGALI" "56 - AZERBAIJANI" "57 - BRETON" "58 - BASQUE" "59 - NEPALI" "60 - MONGOLIAN" "61 - KAZAKH" "62 - SWAHILI" "63 - GALICIAN" "64 - MARATHI" "65 - PUNJABI" "66 - SINHALA" "67 - KHMER" "68 - SHONA" "69 - YORUBA" "70 - SOMALI" "71 - AFRIKAANS" "72 - OCCITAN" "73 - GEORGIAN" "74 - TAJIK" "75 - SINDHI" "76 - GUJARATI" "77 - AMHARIC" "78 - YIDDISH" "79 - LAO" "80 - UZBEK" "81 - FAROESE" "82 - HAITIANCREOLE" "83 - PASHTO" "84 - TURKMEN" "85 - NYNORSK" "86 - MALTESE" "87 - SANSKRIT" "88 - MYANMAR" "89 - TIBETAN" "90 - TAGALOG" "91 - MALAGASY" "92 - ASSAMESE" "93 - TATAR" "94 - HAWAIIAN" "95 - LINGALA" "96 - HAUSA" "97 - BASHKIR" "98 - JAVANESE" "99 - SUNDANESE" "100 - CANTONESE"
metadata
string or null
hasPriority
boolean
url
string or null
checkFilenameExistence
boolean

Responses

Request samples

Content type
{
  • "dataBase64": "string",
  • "filename": "string",
  • "language": "0 - Auto",
  • "metadata": "string",
  • "hasPriority": true,
  • "url": "string",
  • "checkFilenameExistence": true
}

Response samples

Content type
No sample

Speechlytics.API

Connect to live transcription

Opens the WebSocket endpoint used to stream audio and receive live transcription events.

Authorizations:
Bearer

Responses

Request samples

curl -X GET "https://api.example.com/ws/transcribe"

Get API version

Returns version information for the running API service.

Authorizations:
Bearer

Responses

Request samples

curl -X GET "https://api.example.com/version"

Response samples

Content type
application/json
{
  • "version": "string"
}

Topics

List topics

Returns the available topics used to classify or filter speech analytics data.

Authorizations:
Bearer

Responses

Request samples

curl -X GET "https://api.example.com/api/v1/topics"